Get an alert checklist
curl --request GET \
--url https://demo.casebender.com/api/v1/alerts/{id}/checklist \
--header 'Authorization: Bearer <token>'import requests
url = "https://demo.casebender.com/api/v1/alerts/{id}/checklist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://demo.casebender.com/api/v1/alerts/{id}/checklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"alertId": "<string>",
"policyVersionIds": [
"<string>"
],
"policyFingerprint": "<string>",
"policySnapshot": {},
"selectionTrace": [
{
"policyId": "<string>",
"policyName": "<string>",
"policyVersionId": "<string>",
"scopeKey": "<string>",
"reasons": [
"<string>"
]
}
],
"alertCategoryValueAtInstantiation": "<string>",
"enforcementMode": "OFF",
"overrideMode": "DISALLOWED",
"allowAlertSpecificItems": true,
"requiredCount": 1,
"completedCount": 1,
"waivedCount": 1,
"items": [
{
"id": "<string>",
"checklistId": "<string>",
"source": "POLICY",
"sourcePolicyVersionId": "<string>",
"stableKey": "<string>",
"title": "<string>",
"order": 123,
"required": true,
"requiresComment": true,
"evidenceRequirement": "NONE",
"state": "PENDING",
"revision": 2,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"alertId": "<string>",
"groupName": "<string>",
"description": "<string>",
"dependsOnStableKey": "<string>",
"conditions": {},
"completedById": "<string>",
"completedBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"image": "<string>"
},
"completedAt": "2023-11-07T05:31:56Z",
"waivedById": "<string>",
"waivedBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"image": "<string>"
},
"waivedAt": "2023-11-07T05:31:56Z",
"waiverReason": "<string>"
}
],
"instantiatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closureOverriddenAt": "2023-11-07T05:31:56Z",
"closureOverriddenById": "<string>",
"closureOverriddenBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"image": "<string>"
},
"closureOverrideReason": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}Alerts
Get Alert Checklist
Retrieve the policy snapshot and current checklist state for an alert.
GET
/
alerts
/
{id}
/
checklist
Get an alert checklist
Authorizations
bearerAuthapiKey
API key authentication. Use format: Bearer cbr_live_your_key
Path Parameters
Minimum string length:
1Response
200 - application/json
AlertChecklist · object | null
Default Response
Show child attributes
Show child attributes
Available options:
OFF, WARN, BLOCK Available options:
DISALLOWED, PRIVILEGED_WITH_REASON Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I